@use '../../../global/styles/utilities' as *;
@use '../../../global/styles/styles-variables' as *;
@use './styles/header-notification.variables' as *;

:host {
	$base: '.digi-header-notification';

	#{$base} {
		display: flex;
		position: relative;
		align-items: center;
		font-family: 'Open Sans';

		&__number {
			background-color: var(--digi--color--background--danger-1);
			color: var(--digi--color--text--inverted);
			padding: 2px;
			z-index: 5;
			font-size: 12px;
			line-height: normal;
			font-weight: 600;
			border-radius: 10px;
			padding: 1px 6px;
			position: absolute;
			top: -12px;
			// left: -9px;
			left: 20px;
			letter-spacing: 0.5px;
		}
	}

	::slotted(a) {
		display: flex;
		position: relative;
		align-items: center;
		margin-right: 8px;
		text-decoration: none;
		color: var(--digi--header-notification--color);
		font-family: var(--digi--header-notification--font-family);
		font-size: var(--digi--header-notification--font-size);

		[class*='digi-icon']:not(svg) {
			height: 2rem;
			width: 2rem;
			display: flex;
			align-items: center;
			flex-grow: 1;
			background: var(--digi--color--background--secondary);
			justify-content: center;
			border-radius: 100%;
			margin-right: 8px;
		}

		svg {
			--digi--icon--width: 1rem;
			--digi--icon--height: 1rem;
		}

	}

	::slotted(a:hover),
	::slotted(a:active) {
		color: var(--digi--header-notification--color-hover);
		text-decoration: underline;
	}
}